Place a new order
Submits a new order for processing.
Authorization
ApiKey API key provided on the Custom API Connector 'Integrations' page.
In: header
Header Parameters
HMAC SHA256 hash of the request body, encoded in Base64.
A key that ensures POST and PATCH requests are only performed once.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
An order submitted by a shopper.
Response Body
application/json
application/json
curl -X POST "https://example.com/orders" \ -H "X-Bolt-Hmac-Sha256: string" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string"}Retrieve list of orders by IDs GET
Returns detailed information about specified orders by their IDs. ⚠️ The endpoint must accept an empty array of IDs.
Get Public Key GET
Retrieve the RSA public key for encrypting sensitive merchant application data. **Content-Type**: `application/json` **Authentication**: None required (public endpoint) **Response**: Returns base64-encoded RSA public key for client-side encryption